## openwebifpy 4.2.7

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8
	flake8 openwebifpy tests

test: ## run tests quickly with the default Python
	python setup.py test

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source openwebifpy setup.py test
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/openwebifpy.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ openwebifpy
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

=== debian/changelog ===
openwebifpy (4.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Upstream stopped shipping docs.

 -- Edward Betts <edward@4angle.com>  Sat, 17 Aug 2024 09:14:43 +0100

openwebifpy (4.2.5-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.
  * Move packages required for tests to Build-Depends-Indep.
  * Set CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1 for tests.
  * Drop python3-wakeonlan Build-Depends, not required.

 -- Edward Betts <edward@4angle.com>  Fri, 16 Aug 2024 12:40:17 +0100

openwebifpy (4.2.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1077661)

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 23:15:46 +0900

=== debian/control ===
Source: openwebifpy
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-pytest <!nocheck>,
 python3-requests <!nocheck>,
 python3-yarl <!nocheck>,
 python3-zeroconf <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/autinerd/openwebifpy
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/openwebifpy
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/openwebifpy.git

Package: python3-openwebifpy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python interface for interacting with OpenWebIf devices
 This library provides functionality to control and manage devices running
 OpenWebIf, an open-source web interface for Enigma2 based set-top boxes. Users
 can perform basic control tasks on their set-top boxes and send messages
 directly to the screen. It connects to the target device via its web
 interface, facilitating communication and control operations.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=openwebifpy
export PYBUILD_TEST_PYTEST=1
export CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf openwebifpy.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/openwebifpy-$1\.tar\.gz/ \
  https://github.com/autinerd/openwebifpy/tags .*/v?(\d\S+)\.tar\.gz

## openwebifpy 4.3.1

=== debian/changelog ===
openwebifpy (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/rules.

 -- Edward Betts <edward@4angle.com>  Sat, 11 Jan 2025 11:24:49 +0000

openwebifpy (4.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream switch build system from setuptools to hatchling.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Fri, 20 Dec 2024 09:39:31 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-hatchling,
 Build-Depends-Indep:
  python3-aiohttp <!nocheck>,
  python3-pytest <!nocheck>,

=== debian/watch ===
version=4
https://github.com/autinerd/openwebifpy/tags .*/v?(\d\S+)\.tar\.gz
